Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-1923

Overview

Vulnerability Score 4.0 4.0
CVE Id CVE-2011-1923
Last Modified 23 Oct 2013 11:31:14
Published 20 Jun 2012 01:55:01
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity HIGH
Authentication NONE

CVE-2011-1923

Summary

The Diffie-Hellman key-exchange implementation in dhm.c in PolarSSL before 0.14.2 does not properly validate a public parameter, which makes it easier for man-in-the-middle attackers to obtain the shared secret key by modifying network traffic, a related issue to CVE-2011-5095.

Vulnerable Systems

Application

  • Polarssl 0.10.0

  • Polarssl 0.10.1

  • Polarssl 0.11.0

  • Polarssl 0.11.1

  • Polarssl 0.12.0

  • Polarssl 0.12.1

  • Polarssl 0.13.1

  • Polarssl 0.14.0


References

MISC - http://www.nessus.org/plugins/index.php?view=single&id=53360

MISC - http://www.cl.cam.ac.uk/~rja14/Papers/psandqs.pdf

CONFIRM - http://polarssl.org/trac/wiki/SecurityAdvisory201101

BID - 46670


Last Updated: 27 May 2016 10:56:33